<?
//  
//  Copyright (c) 2006, 2007		Dmitry Butskoy
//  					<buc@citadel.stu.neva.ru>
//  License:  GPL v2 or any later
//  
//  For full terms see the file COPYING.
//  

require("./common.php");


$sender = putheader($sender);
$subject = putheader($subject);

//  handle browsers without newline capabilities...
$message = str_replace("##", "\n", $message);



$envelope["from"] = "$sender <$from>";
if (!empty($cc))  $envelope["cc"] = $cc;
$envelope["X-Mailer"] = "$PROGRAM $VERSION";

$textpart["type"] = TYPETEXT;
$textpart["subtype"] = "plain";
$textpart["charset"] = "UTF-8";
if (ereg("[\x80-\xff]",$message))  $textpart["encoding"] = ENC8BIT;
else  $textpart["encoding"] = ENC7BIT;
$textpart["disposition.type"] = "inline";
$textpart["contents.data"] = $message;

if (empty($fwuid))	//  simple mail
	$body[1] = $textpart;
else {		//  forwarded message
    $part["type"] = TYPEMULTIPART;
    $part["subtype"] = "mixed";

    $textpart["contents.data"] .= "\n\n\n";	//  paranoia?...

    $info = imap_fetch_overview($mbox, "$fwuid", FT_UID);
    $name = $info[0]->subject;

    $msg["type"] = TYPEMESSAGE;
    $msg["subtype"] = "rfc822";
    $msg["type.parameters"] = array("name"=>$name);
    $msg["encoding"] = ENC8BIT;
    $msg["disposition.type"] = "inline";
    $msg["disposition"] = array("filename"=>$name);

    $msg["contents.data"] = imap_fetchheader($mbox, $fwuid, FT_UID|FT_INTERNAL);
    $msg["contents.data"] .= imap_body($mbox, $fwuid, FT_UID|FT_INTERNAL);

    $body[1] = $part;
    $body[2] = $textpart;
    $body[3] = $msg;
}

imap_close($mbox);


mail($to, $subject, "", imap_mail_compose($envelope, $body));


wmlstart();

echo "<card id=\"sendmail\">\n";

echo "<p><small>"._('Message sent to')."<br/>$to<br/>$cc<br/>\n";
wmllink(_('Send another'),"compose.php",array("page"=>$page));
echo "<br/>\n";
echo "</small></p>\n";

wmlbutton(_('LIST'),"list.php",array("page"=>$page));
wmlbutton(_('INDEX'),"index.php",NULL);

echo "</card>";

wmlend();
?>
